寺内と申します。iPhoneで動くゲームアプリを作りたくなり、macを購入しX-code

3.2.4とiOS4.0.2をインストールしましたところOpenGL-ESプロジェクトの新規作成
アイコンが参考にしようとしている書籍のものと異なり(碁盤のアイコンではないので
す)、クリックして作成されるプロジェクトに含まれるファイルもかなり異なっていて
initやrendererメソッドが使われてないので困惑している次第でございます。OpenGL
-ESの現在のバージョンを知る方法と前のバージョンに戻す方法をご教授いただける方、
宜しくお願い申し上げます。

回答の条件
  • URL必須
  • 1人2回まで
  • 13歳以上
  • 登録:2010/11/03 15:07:24
  • 終了:2010/11/10 15:10:03

回答(3件)

id:sddfs4543 No.1

sddfs4543回答回数30ベストアンサー獲得回数02010/11/03 17:02:44

ポイント35pt

てらうちくん げんきか

http://q.hatena.ne.jp

id:nakamura001 No.2

nakamura001回答回数2ベストアンサー獲得回数02010/11/04 03:56:03

ポイント35pt

> 前のバージョンに戻す方法

最近のiOSの場合、OpenGL ES1.0と2.0の両方が搭載されています。そのため前のバージョンに戻す必要は有りません。

プログラムとしては最新のXcodeでOpenGL ESプロジェクトの新規作成した時に出来るファイルで行われている様にOpenGL ES 2.0関連のオプジェクトの生成に失敗した場合は1.0用のオブジェクトを作成するという対応で大丈夫です。そもそも1.0向けにプログラムする場合であればいきなり1.0用のオブジェクトの作成で問題ありません。


そして、今回の質問については昔のOpenGL ESプロジェクトの新規作成したものが有れば解決しそうですよね。

以前自分がこちらのエントリーで解説したときに使用した

http://d.hatena.ne.jp/nakamura001/20081221/1229857148

こちらのサンプルなどは新規作成したものからそんなに大きくは変更していません。

http://bit.ly/blCyCM ※リンクが上手くかからなかったので短縮URLに変換しています。

そのためこちらのプロジェクトをベースに加工して対応されては如何でしょうか。

id:weider

寺内です。ご支援ありがとうございます。現在使用しているバージョンのOpenGL-ESの新規プロジェクトを作成しますと、手持ちの

書籍のサンプルコードをどのファイルに書き込むかがわからないのでございます。そうした場合、貴殿のソースコードをどのように

利用させていただければよいのかが、不明でございます。よろしければ、この点につきましてもご支援いただければ幸いでございます。

よろしくおねがいもうしあげます。

2010/11/04 13:10:45

質問者が未読の回答一覧

 回答者回答受取ベストアンサー回答時間
1 nakamura001 2 1 0 2010-11-04 18:58:11

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません